Subject: Re: [EDUC] Enseignement de l'informatique outre-manche
From: Ivaylo Ganchev <[email-masked]>
To: Tony Bassette <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Feb 2013 12:52:29 +0100
List-Id: <educ.april.org>

Bonjour,

Le logiciel Tangara (GPLv3) développé par l'association Colombbus
(http://www.colombbus.org) est aussi quelque chose qui va dans
l'esprit de Scratch, mais destiné à une autre tranche d'âge. Il s'agit
d'un logiciel qui cherche à donner quelques notions en développement à
des collégiens.

L'association organise des ateliers tout au longue de l'année dans un
certain nombre de collèges en France et apparemment c'est assez
amusant. Un de nos étudiants en licence participe à l'animation d'un
atelier et il me raconte que les collégiens sont très motivés et
passionnés.

Les ateliers sont en mode projet -- à la fin de l'année un programme
doit être réalisé par les participants. Les ateliers sont accompagnés
par d'autres activités pédagogiques en lien avec le projet choisi.

Le langage de Tangara est un pseudo-langage objet qui crée chez des
jeunes certaines habitudes et leur donne des notions (qu'est-ce qu'une
fonction etc..). Je n'ai jamais mis le nez dedans, mais cela me semble
une très bonne initiative qui mérite un peu de promo.

Cordialement,
Ivaylo Ganchev

Je pense qu

2013/2/14 Tony Bassette <[email-masked]>:
> On Thu, Feb 14, 2013, Christophe Demko wrote:
>> Bonjour à tous,
>>
>> Le logiciel scratch <http://scratch.mit.edu/> développé par le MIT
>> dont la licence
>> <http://info.scratch.mit.edu/Scratch_License/1.4License> permet
>> essentiellement la copie est vraiment très bien fait pour apprendre
>> la programmation à des enfants de 7-8 ans.
>
>         Je connais l'existence de Scratch (il me semble même qu'il y en a un
>         autre, mais son nom m'échappe pour l'instant). Ma question se
>         voulait encore plus générale que cela, parce qu'aujourd'hui est ce
>         qu'un enseignant connait Scartch? (je pense connaitre la réponse
>         sur ce point) et par méthodes pédagogiques j'entends le contenu même
>         de ces cours et leur formalisation ... quel sera le fil conducteur
>         que devront suivre les enseignants (devrais-je préciser les
>         instituteurs) pour apprendre l'algorithmiqie (par exemple) un
>         programme (je crois que c'est aussi comme cela que ça se dit dans le
>         monde de l'éducation) clair et indépendant des outils.
>
>         Mais en même temps ça vient de sortir ... donc je suis peut-être un
>         peu trop impatient de voir ce qu'ils vont proposer :p
>
> --
> o Take action against software patents   http://swpat.ffii.org/
> o Sauvez le droit d'auteur               http://eucd.info/
> o APRIL                                  http://www.april.org/
> o NaReTo                                 http://www.nareto.org/
>
> --
> Pour gérer votre abonnement à la liste educ et vos informations personnelles :
> http://listes.april.org/wws/info/educ
>
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ